Bug 1532170 - [3.7]master-api and master-controllers are not restarted when deploy metrics along with OCP
Summary: [3.7]master-api and master-controllers are not restarted when deploy metrics ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.z
Assignee: Scott Dodson
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1529496 1533716 1537408
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-08 09:07 UTC by Junqi Zhao
Modified: 2018-11-15 21:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1529496
Environment:
Last Closed: 2018-11-15 21:31:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Junqi Zhao 2018-01-08 09:07:54 UTC
+++ This bug was initially created as a clone of Bug #1529496 +++

Description of problem:
Deploy metrics 3.8  along with OCP, atomic-openshift-master-api.service and atomic-openshift-master-controllers.service are not restarted after the installation is completed,
so the "Metrics" tab are not shown in web UI, it will show after restarting atomic-openshift-master-api.service and atomic-openshift-master-controllers.service

If we deploy OCP firstly and then deploy metrics later,this issue will not happen, master-api and master-controllers are restarted
RUNNING HANDLER [openshift_metrics : restart master api]
RUNNING HANDLER [openshift_metrics : restart master controllers] 

Version-Release number of selected component (if applicable):
# rpm -qa | grep openshift-ansible
openshift-ansible-callback-plugins-3.8.22-1.git.0.b4a1220.el7.noarch
openshift-ansible-docs-3.8.22-1.git.0.b4a1220.el7.noarch
openshift-ansible-lookup-plugins-3.8.22-1.git.0.b4a1220.el7.noarch
openshift-ansible-playbooks-3.8.22-1.git.0.b4a1220.el7.noarch
openshift-ansible-filter-plugins-3.8.22-1.git.0.b4a1220.el7.noarch
openshift-ansible-3.8.22-1.git.0.b4a1220.el7.noarch
openshift-ansible-roles-3.8.22-1.git.0.b4a1220.el7.noarch


How reproducible:
Always

Steps to Reproduce:
1. Deploy metrics 3.9 along with OCP by setting parameters
  openshift_metrics_install_metrics: true
  openshift_metrics_image_prefix: registry.reg-aws.openshift.com:443/openshift3/
  openshift_metrics_image_version: v3.8

2.
3.

Actual results:
"Metrics" tab are should be shown in web UI

Expected results:
"Metrics" tab are not shown in web UI

Additional info:

--- Additional comment from Junqi Zhao on 2017-12-28 06:49:12 EST ---

Correction:
Change:
 1. Deploy metrics 3.9 along with OCP by setting parameters
To:
 1. Deploy metrics 3.8 along with OCP by setting parameters

--- Additional comment from Junqi Zhao on 2017-12-28 06:52 EST ---



--- Additional comment from Junqi Zhao on 2018-01-05 03:15:26 EST ---

Same issue with metrics 3.9 on OCP 3.9, need to restart atomic-openshift-master-api.service manually to show "Metrics" tab in web UI

Comment 1 Russell Teague 2018-11-15 21:31:13 UTC
There are no active cases related to this bug. As such we're closing this bug in order to focus on bugs that are still tied to active customer cases. Please re-open this bug if this bug becomes relevant to an open customer case.


Note You need to log in before you can comment on or make changes to this bug.